<?php 

    include_once "../bd/config.php";
    include '../navbar/nav.php';

    $coleccion = $bd->proveedores;
    //$proveedores= $coleccion->find();
    $proveedores = $coleccion->aggregate(
        [
            ['$lookup'=>
                [
                    'from'=>'proveedores',
                    'localField'=>'idproveedor',
                    'foreignField'=>'codprov',
                    'as'=>'proveedor'
                ]
            ],
        ]
    );

?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Tabla Proveedores</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
</head>
<body>
    <div class="container"> <br>
        <div class="col-xs-12">
            <div style="margin-top: 10px;">
                <div class="alert alert-success" style="width:400px">
                    <h4>Tabla de Proveedores existentes</h4> 
                </div>
            </div> <br>

            <style>
                .cHead {
                    vertical-align: middle;
                    text-align: center;
                }
            </style>

            <div>
                <a class="btn btn-dark" href="./form_proveedor.php">Nuevo <i class="fa fa-plus"></i></a>
            </div><br>
            <table class="table table-borderless table-hover table-responsive-xl">
                <thead class="bg-dark text-white cHead">
                    <tr>
                        <!-- <th class="ch">Código Proveedor</th> -->
                        <th class="ch">Proveedor</th>
                        <th class="ch">Teléfono</th>
                        <th class="ch">Dirección</th>					
                        <th class="ch">Correo electrónico</th>
                        <th class="ch" colspan="2">Acciones</th>
                    </tr>
                </thead>
                <tbody >
                    <?php foreach($proveedores as $proveedor){ ?>
                    <tr class="cHead">
                        <!-- <td><?php //echo $proveedor->codprov; ?></td> -->
                        <td><?php echo $proveedor->nombre; ?></td>
                        <td><?php echo $proveedor->telefono; ?></td>
                        <td><?php echo $proveedor->direccion; ?></td>
                        <td><?php echo $proveedor->correo; ?></td>
                        <td>
                            <a class="btn btn-success" href="<?php echo "editar_prov.php?id=" . $proveedor->codprov?>">Editar
                                <i class="fas fa-user-edit"></i>
                            </a>
                        </td>
                        <td>
                            <a class="btn btn-danger" href="<?php echo "eliminar_prov.php?id=" . $proveedor->codprov?>">Eliminar
                                <i class="fas fa-user-times"></i>
                            </a>
                        </td>
                    </tr>
                    <?php } ?>
                </tbody>
            </table>
        </div>
    </div>

    <script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.10.2/dist/umd/popper.min.js" integrity="sha384-7+zCNj/IqJ95wo16oMtfsKbZ9ccEh31eOz1HGyDuCQ6wgnyJNSYdrPa03rtR1zdB" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.min.js" integrity="sha384-QJHtvGhmr9XOIpI6YVutG+2QOK9T+ZnN4kzFN1RtK3zEFEIsxhlmWl5/YESvpZ13" crossorigin="anonymous"></script>

</body>
</html>

