<?php 

    include_once "../bd/config.php";
    include '../navbar/nav.php';

    $coleccion = $bd->ventas;
    //$ventas= $coleccion->find();
    $ventas = $coleccion->aggregate(
        [
            ['$lookup'=>
                [
                    'from'=>'ventas',
                    'localField'=>'idventas',
                    'foreignField'=>'cod_venta',
                    'as'=>'venta'
                ]
            ],
        ]
    );

?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Tabla Ventas</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
</head>
<body>
    <div class="container"> <br>
        <div class="col-xs-12">
            <div style="margin-top: 10px;">
                <div class="alert alert-success" style="width:400px">
                    <h4>Tabla de ventas existentes</h4>
                </div>
            </div> <br>

            <style>
                .cHead {
                    vertical-align: middle;
                    text-align: center;
                }
            </style>

            <div>
                <a class="btn btn-dark" href="./form_ventas.php">Nuevo<i class="far fa-plus-square"></i></a>
            </div><br>
            <table class="table table-borderless table-hover table-responsive-xl">
                <thead class="bg-dark text-white cHead">
                    <tr>
                        <!-- <th class="ch">Cod. ventas</th> -->
                        <th class="ch">Producto</th>					
                        <th class="ch">Cantidad</th>
                        <th class="ch">Descripción</th>
                        <th class="ch">Precio Compra</th>
                        <th class="ch">Precio Venta</th>
                        <th class="ch">Fecha</th>
                        <th class="ch" colspan="2">Acciones</th>
                    </tr>
                </thead>
                <tbody>
                    <?php foreach($ventas as $venta){ ?>
                    <tr class="cHead">
                        <!-- <td><?php// echo $venta->cod_venta ?></td> -->
                        <td><?php echo $venta->producto?></td>
                        <td><?php echo $venta->cantidad ?></td>
                        <td><?php echo $venta->descripcion?></td>
                        <td><?php echo $venta->precio_venta?></td>
                        <td><?php echo $venta->precio_compra?></td>
                        <td><?php echo $venta->fecha_venta?></td>
                        <td>
                            <a class="btn btn-success" href="<?php echo "editar_venta.php?id=" . $venta->cod_venta?>">Editar
                                <i class="fas fa-user-edit"></i>
                            </a>
                        </td>
                        <td>
                            <a class="btn btn-danger" href="<?php echo "eliminar_venta.php?id=" . $venta->cod_venta?>">Eliminar
                                <i class="fas fa-user-times"></i>
                            </a>
                        </td>
                    </tr>
                    <?php } ?>
                </tbody>
            </table>
        </div>
    </div>

    <script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.10.2/dist/umd/popper.min.js" integrity="sha384-7+zCNj/IqJ95wo16oMtfsKbZ9ccEh31eOz1HGyDuCQ6wgnyJNSYdrPa03rtR1zdB" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.min.js" integrity="sha384-QJHtvGhmr9XOIpI6YVutG+2QOK9T+ZnN4kzFN1RtK3zEFEIsxhlmWl5/YESvpZ13" crossorigin="anonymous"></script>

</body>
</html>